Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class ColumnInformationPK

    java.lang.Object
      |
      +--com.beasys.portal.ejb.ColumnInformationPK

public class ColumnInformationPK
extends java.lang.Object
implements java.io.Serializable

The primary key for the Column Information ejb.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `categoryName` The category name.
`int` | `columnOrder` The column order.
`java.lang.String` | `portalName` The portal name.

Constructor Summary
`ColumnInformationPK()` Default constructor.
`ColumnInformationPK(java.lang.String aPortalName, java.lang.String aCategoryName, int aColumnOrder)` ColumnInformationPK constructor.

Method Summary
`boolean` | `equals(java.lang.Object theOther)` Check for object equality.
`java.lang.String` | `getCategoryName()` Get category name.
`int` | `getColumnOrder()` Get column order.
`java.lang.String` | `getPortalName()` Get portal name.
`void` | `setCategoryName(java.lang.String aCategoryName)` Set category name.
`void` | `setColumnOrder(int anOrder)` Set column order.
`void` | `setPortalName(java.lang.String aPortalName)` Set portal name.
`java.lang.String` | `toString()` String representation of the Id.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### portalName

    public java.lang.String portalName

  The portal name.

### categoryName

    public java.lang.String categoryName

  The category name.

### columnOrder

    public int columnOrder

  The column order.

Constructor Detail

### ColumnInformationPK

    public ColumnInformationPK()

  Default constructor.

### ColumnInformationPK

    public ColumnInformationPK(java.lang.String aPortalName,
                               java.lang.String aCategoryName,
                               int aColumnOrder)

  ColumnInformationPK constructor.
  Parameters:
    `aPortalName` - the portal name.
    `aCategoryName` - the category name.
    `aColumnOrder` - the column order

Method Detail

### equals

    public boolean equals(java.lang.Object theOther)

  Check for object equality.
  Overrides:
    equals in class java.lang.Object
  Parameters:
    `theOther` - the other one to check.
  Returns:
    `boolean` true, they are the same.

### toString

    public java.lang.String toString()

  String representation of the Id.
  Overrides:
    toString in class java.lang.Object
  Returns:
    String the string rep.

### setPortalName

    public void setPortalName(java.lang.String aPortalName)

  Set portal name.
  Parameters:
    `aPortalName` - the portal name.

### getPortalName

    public java.lang.String getPortalName()

  Get portal name.
  Returns:
    `String` the portal name.

### setCategoryName

    public void setCategoryName(java.lang.String aCategoryName)

  Set category name.
  Parameters:
    `aCategoryName` - the category name.

### getCategoryName

    public java.lang.String getCategoryName()

  Get category name.
  Returns:
    `String` the category name.

### setColumnOrder

    public void setColumnOrder(int anOrder)

  Set column order.
  Parameters:
    `anOrder` - the column order.

### getColumnOrder

    public int getColumnOrder()

  Get column order.
  Returns:
    `int` the column order.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved